WIMAX_STATE_CHANGE(9)

NAME
wimax_state_change - Set the current state of a WiMAX device

SYNOPSIS

void wimax_state_change(struct wimax_dev * wimax_dev, enum wimax_st new_state);

ARGUMENTS

wimax_dev
    WiMAX device descriptor (properly referenced)

new_state
    New state to switch to

DESCRIPTION

This implements the state changes for the wimax devices. It will

- verify that the state transition is legal (for now it'll just print a warning if not) according to the table in linux/wimax.h's documentation for 'enum wimax_st'.

- perform the actions needed for leaving the current state and whichever are needed for entering the new state.

- issue a report to user space indicating the new state (and an optional payload with information about the new state).

NOTE

wimax_dev must be locked

COPYRIGHT